
Redmine - Defect #9657

Error in parsing svn commit time entry with @15m

2011-11-24 20:00 - Eric Le Gallais

Status: Closed Start date: 2011-11-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.2.1

Description

When we commit to svn with comment: refs #993 @15m, a time entry is create but with 0.15 h instead of 0.25h.  It works fine with

@30m == 0.5 h

Redmine 1.2.1

Database:  5.1.49-1ubuntu8.1

svn, version 1.6.12 (r955767)

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1.2

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Edge Rails revision       unknown

Application root          /usr/share/redmine

Environment               production

Database adapter          mysql

Database schema version   20110511000000

History

#1 - 2011-11-24 21:24 - Jean-Philippe Lang

- Resolution set to Cant reproduce

There's a test for this exact case:

source:/trunk/test/unit/changeset_test.rb@6739#L84

And it passes.

#2 - 2011-11-25 01:34 - Mischa The Evil

Cannot reproduce it. I've tested this by hand.

#3 - 2011-12-02 23:31 - Jean-Philippe Lang

- Status changed from New to Closed
https://www.redmine.org/issues/993
https://www.redmine.org/projects/redmine/repository/svn/revisions/6739/entry/trunk/test/unit/changeset_test.rb#L84
